const express = require("express");
const socketIO = require("socket.io");
const state = require("./state.js");
const path = require("path");

const HOST = '0.0.0.0';
const PORT = 3001;

const app = express();
const server = app.listen(PORT, HOST,() => console.log(`Example app listening on port ${PORT}!`));
app.use(express.static(path.join(__dirname, '../public')));

const io = socketIO(server);

app.get('/state', (req, res) => res.send('<pre>' + JSON.stringify(state) + '</pre>'));

process.on('SIGINT', function() {
    process.exit();
});

module.exports = {
    app, server, io
};