import React from 'react';
import {TimestampEvent} from "../types/types";
import '../css/feeditem.sass'
import shot from "../img/shot.png";
import song from "../img/song.png";
import talk from "../img/talk.png";
import time from "../img/time.png";

const images = {
    shot, song, talk, time
};

const FeedItem = (item: TimestampEvent) => {
    return (
        <div className="feed-item">
            <div className="feed-item__title">
                {item.text[0]}
            </div>
            <div className="feed-item__emoji">
                <img src={images[item.type]}/>
            </div>
            <div className="feed-item__desc">
                {item.text[1]}
            </div>
        </div>
    );
};

export default FeedItem;
